<?php
session_start();
//RESTRICCI�N DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';
$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$tabla=$_REQUEST["tabla"];
$archivo=$_REQUEST["archivo"];
$exportar=$_REQUEST["exportar"];
$fila=''; $mensaje=0;

menu();
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Usuario
&nbsp;&nbsp;<img border = 0 src='images/b_edit.png' alt='Modificar'>:Modificar Usuario
</font><Hr>";

$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$tabla=$_REQUEST["tabla"];
$archivo=$_REQUEST["archivo"];
$exportar=$_REQUEST["exportar"];
///////////////////////////////////////////////// MUESTRA LAS TABLAS A EXPORTAR ////////////////////////////////////////////////////////////////
switch ($exportar) {

			case 9:	///////////////////////////////////////////////	TALLAS DE DOTACION //////////////////////////////////////////
				//echo "<font face='verdana, arial, helvetica, sans-serif' size=4 >Exportar Trabajadores</font>";
				$query="select* from personal where id=".$_SESSION['id_validar']." AND status <>'I' order by codigo ";
				$consulta=mysqli_query($enlace,$query) or die ($query);
				$filas=mysqli_num_rows($consulta);
				if ($filas==0) {
					echo "La tabla est&aacute; VACIA...";
				} else {
					echo '<form name="entrada" method="POST" target="_blank" action="varios_exportar_excel.php?exportar=9&accion=9&query='.$query.' ">';
					echo "<table align='center'><tr><td><input type='submit' value='Exportar tallas'></td></tr></table>
					</form>
					<table border=2 align=center>
						<tr bgcolor = '#00BFFF'>
							<th align = center><font face='verdana' size=2>C&eacute;dula</font></th>
							<th align = center><font face='verdana' size=2>1er Apellido</font></th>
							<th align = center><font face='verdana' size=2>2do Apellido</font></th>
							<th align = center><font face='verdana' size=2>1er Nombre</font></th>
							<th align = center><font face='verdana' size=2>2do Nombre</font></th>
							<th align = center><font face='verdana' size=2>Talla Pantalón</font></th>
							<th align = center><font face='verdana' size=2>Talla Camisa</font></th>
							<th align = center><font face='verdana' size=2>Talla Zapatos</font></th>
							<th align = center><font face='verdana' size=2>Fecha Ult Dotacion</font></th>
							<th align = center><font face='verdana' size=2>Status</font></th>";
							while ($row = mysqli_fetch_array($consulta)) {
								echo "
								<tr bgcolor = '#cdcdcd'>";
									echo "<td>".$row['codigo']."</td>";
									echo "<td>".$row['nombres']."</td>";
									echo "<td>".$row['nombres1']."</td>";
									echo "<td>".$row['apellidos']."</td>";
									echo "<td>".$row['apellidos1']."</td>";
									echo "<td>".$row['tallapantalon']."</td>";
									echo "<td>".$row['tallacamisa']."</td>";
									echo "<td>".$row['tallazapato']."</td>";
									echo "<td>".$row['fec_dota']."</td>";
									echo "<td>".$row['status']."</td>";
								echo "</tr>";
							}
					echo "
						</tr>
					</table>";
				}
				break;
	}
	mysqli_free_result($consulta);
	echo "</font></body></html>";
?>
